petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISGetTotalIndices

Retrieve an array containing all indices across the communicator.

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISGetTotalIndices(IS is, const PetscInt *indices[])

Collective on IS Many br

### Input Parameter

is -the index set Many br

### Output Parameter

indices -total indices with rank 0 indices first, and so on; total array size is Many brthe same as returned with ISGetSize(). Many br

Many br

Notes: this is potentially nonscalable, but depends on the size of the total index set Many brand the size of the communicator. This may be feasible for index sets defined on Many brsubcommunicators, such that the set size does not grow with PETSC_WORLD_COMM. Many brNote also that there is no way to tell where the local part of the indices starts Many br(use ISGetIndices() and ISGetNonlocalIndices() to retrieve just the local and just Many brthe nonlocal part (complement), respectively). Many br

### See Also

ISRestoreTotalIndices(), ISGetNonlocalIndices(), ISGetSize()

Level:intermediate
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages